Package org.tanukisoftware.wrapper.event

# Class WrapperRemoteControlEvent

java.lang.Object
java.util.EventObject
org.tanukisoftware.wrapper.event.WrapperEvent
org.tanukisoftware.wrapper.event.WrapperRemoteControlEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `WrapperSecondInvocationEvent`

public abstract class WrapperRemoteControlEvent extends WrapperEvent
WrapperRemoteControlEvent are fired when a signal is caught from outside the Wrapper (for example a signal coming from a pipe).

WARNING - Those events should be handled carefully as they may be originally triggered by unauthenticated sources.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`WrapperRemoteControlEvent()`
Creates a new WrapperRemoteControlEvent.

## Method Summary

Modifier and Type
Method
Description
`long`
`getFlags()`
Returns a set of event flags for which the event should be fired.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrapperRemoteControlEvent

public WrapperRemoteControlEvent()
Creates a new WrapperRemoteControlEvent.

## Method Details

### getFlags

public long getFlags()
Returns a set of event flags for which the event should be fired. This value is compared with the mask supplied when when a WrapperEventListener is registered to decide which listeners should receive the event.

If subclassed, the return value of the super class should usually be ORed with any additional flags.

Overrides:
  `getFlags` in class `WrapperEvent`
Returns:
  a set of event flags.